{
  "format_version": "1.10",
  "render_controllers": {
    "controller.render.bfballoon.color": {
      "arrays": {
        "textures": {
          "array.color": [
            "texture.white",
            "texture.orange",
            "texture.magenta",
            "texture.light_blue",
            "texture.yellow",
            "texture.lime",
            "texture.pink",
            "texture.gray",
            "texture.silver",
            "texture.cyan",
            "texture.purple",
            "texture.blue",
            "texture.brown",
            "texture.green",
            "texture.red",
            "texture.black"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "array.color[query.skin_id]"]
    },

    "controller.render.bfballoon.flames": {
      "arrays": {
        "textures": {
          "array.flames": [
            "texture.flames_1",
            "texture.flames_2",
            "texture.flames_3"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "array.flames[Math.floor(query.life_time*9) - (Math.floor(query.life_time*3)*3)]"]
    },

    "controller.render.bfballoon.cabin": {
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "texture.cabin"]
    }
  }
}
